Subject: Re: HFmodem + nopad option

From: Rafael Diniz <[email-masked]>
Date: Sun, 22 Mar 2026 22:28:51 +0000

Hi Jonathan

We do have currently an email network which uses UUCP to directly 
connect in a given region, gateway to diverse nodes over HF, no IP 
(running postfix, dovecot, the same suspects.. calling uux / rmail...). 
But not in the US.

In HERMES the plan here is to have it with NNCP in the future. If you 
want to test such setup in the US, I think it would not be difficult, 
but be aware the hams in the US don't like to hear the word encryption, 
so I feel better get another type of licensing model to operate in woods 
/ places without telecom coverage / telecom blackouts. I would not know 
the precise service, but in ITU frequency chart they are named 
fixed/portable/mobile wireless services, and there pretty a lot of bands 
allocated for those in HF.

Even the most affordable amateur radio transceivers will operate outside 
ham bands (usually just a small modification), or, of course, 
professional rigs will operate by default in all HF bands, We use the 
sBitx radio for our deployments, which are wideband, affordable, can run 
all email setup, modem, nncp in the raspberry pi inside, and can cover 
most the HF band as whole (we got licenses in Brazil, for example, in 
the 5 MHz and upper 7 MHz).

Btw, I created a further optimized nncp branch with less overhead, after 
the last email of Sergey which pointed to other places where padding is 
done (tks Sergey!), but this is not ready for upstreaming, as it breaks 
compatibility with v3 protocol (adds a v4 but keeps compatibility with 
v3, as of now):
  https://github.com/Rhizomatica/nncp/commits/pktv4-variable-path/

Thanks for the repo at https://git.sr.ht/~tidux/nncpnet ! Very useful 
when I start migrating the email services!

Cheers,
Rafael

On 3/21/26 7:24 AM, Jonathan Lane wrote:
> On Fri Mar 20, 2026 at 12:48 PM PDT, Rafael Diniz wrote:
>> Here is a commit with the latest nopad proposal field + the changes in
>> the HF modem, which now works!
>>
>> https://github.com/Rhizomatica/nncp/commit/c537d10965679068a8fd8d489b9e0a71df8f0bca
>>
> Cool!  I've been reading up on HERMES and it looks like an interesting
> backcountry / maritime relay system even for places like the US.  Can
> you just get two units, pair them together, and establish a bridge?  I'd
> love to integrate that with NNCP for getting email in the woods without
> the expense or power draw of a Starlink terminal.
> 
> And if you're still looking for a GitHub replacement, I recommend
> SourceHut.  Here's what my fork of John's NNCPNet looks like:
> 
> https://git.sr.ht/~tidux/nncpnet